Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Sep 2023 12:56:22 -0400

>> Any idea which place in the Makefile's or in loadup.el does that?
>
> I think nextstep/Makefile.in contains
>
> # FIXME: Don't install the dump file into the app bundle when
> # self-contained install is disabled.
> ${ns_applibexecdir}/Emacs.pdmp: ${ns_appdir} ${ns_check_file}
> ../src/emacs${EXEEXT}.pdmp
> 	${MKDIR_P} ${ns_applibexecdir}
> 	cp -f ../src/emacs${EXEEXT}.pdmp $@
>
> and the "all" target has that the pdmp as a dependency.

Sounds like a bug, yes: either the same thing should be done for all the
files in ${ns_applibexecdir} or it should be done for none.

This said, I'm, 100% unfamiliar with the way the `Emacs.app` directory
is built, so maybe this is a feature rather than a bug.

> I have no idea though what the comment means, or if the cp if necessary
> for something.

The FIXME sounds to me like it's hinting at the same bug you're seeing
(tho maybe another manifestation of it), and since there's a FIXME
I presume that fixing it isn't as simple as removing this rule :-)

        Stefan